using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ms_namingservice.Database.Models;

[Table("les_types")]
public class LesType
{
    [Column("id_les_type")]
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Identifier { get; set; }

    [Column("les_type")] [MaxLength(32)] public string Type { get; set; }

    [Column("les_type_short")]
    [MaxLength(8)]
    public string ShortType { get; set; }
}